Sessions
Create a session
Create a session through the existing session runtime workflow.
POST
/
v1
/
sessions
Create a session
curl --request POST \
--url https://api.tembo.io/v1/sessions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "<string>",
"agent": "<string>",
"baseBranch": "<string>",
"mcpServers": [],
"projectId": "<string>",
"targetBranch": "<string>",
"agentOptions": {
"reasoningLevel": "<string>",
"goal": {
"enabled": true,
"objective": "<string>"
}
},
"autoDetectRepositories": true,
"branchName": "<string>",
"codeRepositoryIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"jsonContent": {
"type": "<string>",
"text": "<string>",
"attrs": {},
"marks": [
{
"type": "<string>",
"attrs": {}
}
],
"content": "<array>"
},
"pullRequestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"queueRightAway": true
}
'import requests
url = "https://api.tembo.io/v1/sessions"
payload = {
"description": "<string>",
"agent": "<string>",
"baseBranch": "<string>",
"mcpServers": [],
"projectId": "<string>",
"targetBranch": "<string>",
"agentOptions": {
"reasoningLevel": "<string>",
"goal": {
"enabled": True,
"objective": "<string>"
}
},
"autoDetectRepositories": True,
"branchName": "<string>",
"codeRepositoryIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"jsonContent": {
"type": "<string>",
"text": "<string>",
"attrs": {},
"marks": [
{
"type": "<string>",
"attrs": {}
}
],
"content": "<array>"
},
"pullRequestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"queueRightAway": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
description: '<string>',
agent: '<string>',
baseBranch: '<string>',
mcpServers: [],
projectId: '<string>',
targetBranch: '<string>',
agentOptions: {reasoningLevel: '<string>', goal: {enabled: true, objective: '<string>'}},
autoDetectRepositories: true,
branchName: '<string>',
codeRepositoryIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
jsonContent: {
type: '<string>',
text: '<string>',
attrs: {},
marks: [{type: '<string>', attrs: {}}],
content: '<array>'
},
pullRequestId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
queueRightAway: true
})
};
fetch('https://api.tembo.io/v1/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"agent": "<string>",
"agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"artifactType": "PullRequest",
"baseBranch": "<string>",
"branchName": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"externalId": "<string>",
"externalUrl": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "<string>",
"lastQueuedAt": "2023-11-07T05:31:56Z",
"lastSeenAt": "2023-11-07T05:31:56Z",
"level": 123,
"mode": "normal",
"projectId": "<string>",
"sandboxSize": "nano",
"sessionType": "Chat",
"targetBranch": "<string>",
"title": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"visibility": "public",
"artifacts": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "PullRequest",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"pullRequest": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"title": "<string>",
"status": "open",
"isDraft": true,
"sourceBranch": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"agent": "<string>",
"diff": {
"additions": 1,
"deletions": 1,
"data": "<string>"
},
"updatedAt": "2023-11-07T05:31:56Z",
"metadata": {
"baseBranch": "<string>",
"headSha": "<string>",
"author": {
"avatarUrl": "<string>",
"login": "<string>"
}
},
"codeRepository": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"owner": "<string>",
"baseBranch": "<string>",
"provider": "<string>"
}
}
]
}
],
"description": "<string>",
"diffSummary": {
"additions": 123,
"deletions": 123
},
"htmlUrl": "<string>",
"isPinned": true,
"project": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"icon": "folder",
"color": "neutral"
},
"sessionSource": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"type": "<string>",
"repositories": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"provider": "<string>"
}
]
},
"sourcePullRequest": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"title": "<string>",
"status": "open",
"isDraft": true
},
"state": {
"isQueued": true,
"isCancelled": true,
"isCompleted": true,
"isFailed": true,
"inProgress": true,
"current": "inProgress"
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Required string length:
1 - 1000000Required string length:
1 - 500Required string length:
1 - 500Maximum array length:
100Required string length:
1 - 500Available options:
nano, micro, small, medium, large, xl, xxl, ultra Required string length:
1 - 500Available options:
private, public Show child attributes
Show child attributes
Required string length:
1 - 500Maximum array length:
100Show child attributes
Show child attributes
Available options:
chat, terminal Available options:
claudeCode, codex, opencode, pi, amp, cursor Response
Create a session
Available options:
PullRequest, ToolCall, Plan, Response, File, Service, Source, null Available options:
normal, planning Available options:
nano, micro, small, medium, large, xl, xxl, ultra, null Available options:
Chat, Terminal Available options:
public, private Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Create a session
